Loading...
Searching...
No Matches
osmo_iuup_rnl_status Struct Reference

`#include <iuup.h>`

## Data Fields

enum iuup_procedure | procedure
union { |
struct { |
enum iuup_error_cause cause |
enum iuup_error_distance distance |
} error_event
struct { |
uint16_t mode_version |
uint8_t data_pdu_type |
uint8_t num_rfci |
uint8_t num_subflows |
bool IPTIs_present |
struct osmo_iuup_rfci rfci [IUUP_MAX_RFCIS] |
} initialization
struct { |
} rate_control
struct { |
} time_alignment
} | u

## Field Documentation

## cause

enum iuup_error_cause osmo_iuup_rnl_status::cause

Referenced by irp_error_event_alloc_c().

## data_pdu_type

uint8_t osmo_iuup_rnl_status::data_pdu_type

Referenced by irp_init_ind_alloc().

## distance

enum iuup_error_distance osmo_iuup_rnl_status::distance

Referenced by irp_error_event_alloc_c().

## [struct]

struct { ... } osmo_iuup_rnl_status::error_event

Referenced by irp_error_event_alloc_c().

## [struct]

struct { ... } osmo_iuup_rnl_status::initialization

Referenced by irp_init_ind_alloc().

## IPTIs_present

bool osmo_iuup_rnl_status::IPTIs_present

Referenced by irp_init_ind_alloc().

## mode_version

uint16_t osmo_iuup_rnl_status::mode_version

Referenced by irp_init_ind_alloc().

## num_rfci

uint8_t osmo_iuup_rnl_status::num_rfci

Referenced by irp_init_ind_alloc().

## num_subflows

uint8_t osmo_iuup_rnl_status::num_subflows

Referenced by irp_init_ind_alloc().

## procedure

enum iuup_procedure osmo_iuup_rnl_status::procedure

Referenced by irp_error_event_alloc_c(), and irp_init_ind_alloc().

## [struct]

struct { ... } osmo_iuup_rnl_status::rate_control

## rfci

struct osmo_iuup_rfci osmo_iuup_rnl_status::rfci[IUUP_MAX_RFCIS]

Referenced by irp_init_ind_alloc().

## [struct]

struct { ... } osmo_iuup_rnl_status::time_alignment

## [union]

union { ... } osmo_iuup_rnl_status::u

Referenced by irp_error_event_alloc_c(), and irp_init_ind_alloc().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/iuup.h